Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003837TestLinkTest Specificationpublic2010-10-03 22:082011-01-22 15:12
Reporterdifool 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS VersionXP SP3
Product Versiontestlink_1_9_rc1-qa-20100926 
Fixed in Version1.9.1 (bug fixing) 
Summary0003837: TL19RC1 - Test Specification - Test casee management - Copy test case - Bad message displayed.
DescriptionAfter copying a test case, a small bug remains in displayed message:
"Test Case Spec requirement 2.2 [1] was successfully copied to
Test Suite testempty2/BBI Requirement 2 "

The
tag is not interpreted.

BTW, noticed that non standard characters are misinterpreted also (accent for example).
Steps To Reproduce 
Additional InformationFor the following TCs:
http://testlink.bplaced.net/linkto.php?tprojectPrefix=TL&item=testcase&id=TL-61 [^]
http://testlink.bplaced.net/linkto.php?tprojectPrefix=TL&item=testcase&id=TL-62 [^]


TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.49
BrowserMozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10 ( .NET CLR 3.5.30729).
PHP VersionPHP 5.3.3
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon copymessage.png [^] (23,242 bytes) 2010-11-29 19:44

- Relationships
has duplicate 0004061closedJulian wrong headline by copy a test case 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012740)
skilletaudio (reporter)
2010-11-28 18:27

Confirmed in 1.9.0:

"Test Case ok was successfully copied to
Test Suite Suite0"

(html br tag in displayed text)
(0012751)
fman (administrator)
2010-11-29 19:32

Bad message means: Messages is misleading, or erroneous .
is this what is happening ?
is not clear from user report
(0012753)
skilletaudio (reporter)
2010-11-29 19:43

The message is inelegant, not erroneous - The message is appropriate but is not rendered properly - it renders the text of a html 'br' tag in the middle of the message, as opposed to the br tag being interpreted as HTML and creating a line break in the rendered page.

SS will be attached next.
(0012754)
fman (administrator)
2010-11-29 20:15

Then issue subject is erroneous and misleading.
(0012762)
Julian (reporter)
2010-11-30 08:03

removed tag from message
(0013405)
fman (administrator)
2011-01-22 15:12

1.9.1. released

- Issue History
Date Modified Username Field Change
2010-10-03 22:08 difool New Issue
2010-10-04 15:17 Julian Product Version => testlink_1_9_rc1-qa-20100926
2010-11-28 18:27 skilletaudio Note Added: 0012740
2010-11-29 09:06 asimon Relationship added has duplicate 0004061
2010-11-29 19:32 fman Note Added: 0012751
2010-11-29 19:43 skilletaudio Note Added: 0012753
2010-11-29 19:44 skilletaudio File Added: copymessage.png
2010-11-29 20:15 fman Note Added: 0012754
2010-11-30 08:03 Julian Note Added: 0012762
2010-11-30 08:03 Julian Status new => resolved
2010-11-30 08:03 Julian Fixed in Version => 1.9.1 (bug fixing)
2010-11-30 08:03 Julian Resolution open => fixed
2010-11-30 08:03 Julian Assigned To => Julian
2010-12-02 18:31 fman Relationship added child of 0004039
2011-01-22 15:12 fman Note Added: 0013405
2011-01-22 15:12 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker